package tda551;

import tda551.signal.Signal;

public class SignalApp {

  public static void main(String[] args) {
    Signal signal = Signal.createSignal();
    Signal signal2 = Signal.createSignal();

    SignalView view = new SignalView(50, 50);
    SignalView view2 = new SignalView(200, 50);

    SignalLogger logger = new SignalLogger();
    SignalController controller = new SignalController(signal);

    signal.addObserver(view);
    signal2.addObserver(view2);

    signal.addObserver(logger);
    signal2.addObserver(logger);

  }
}
